try {	
if(app.documents.length == 0) {
		alert ("No documents are open. Please open a document and try again.");
	} else {
		var myDocument = app.activeDocument;

		// profilo RGB
		var wsRGBprofile = app.colorSettings.workingSpaceRGB;
		var myRGBprofile = myDocument.rgbProfile;
		if(myRGBprofile == "") {myRGBprofile = "None";}

		// profilo CMYK
		var wsCMYKprofile = app.colorSettings.workingSpaceCMYK;
		var myCMYKprofile = myDocument.cmykProfile;
		if(myCMYKprofile == "") {myCMYKprofile = "None";}

		// rendering intents
		switch(myDocument.solidColorIntent) {
			case RenderingIntent.ABSOLUTE_COLORIMETRIC:
			var mySolidintent = "Absolute Colorimetric"; break;
			case RenderingIntent.PERCEPTUAL:
			var mySolidintent = "Perceptual"; break;
			case RenderingIntent.RELATIVE_COLORIMETRIC:
			var mySolidintent = "Relative Colorimetric"; break;
			case RenderingIntent.SATURATION:
			var mySolidintent = "Saturation"; break;
			case RenderingIntent.USE_COLOR_SETTINGS:
			var mySolidintent = "None"; break;
		}

		switch(myDocument.defaultImageIntent) {
			case RenderingIntent.ABSOLUTE_COLORIMETRIC:
			var myImageintent = "Absolute Colorimetric"; break;
			case RenderingIntent.PERCEPTUAL:
			var myImageintent = "Perceptual"; break;
			case RenderingIntent.RELATIVE_COLORIMETRIC:
			var myImageintent = "Relative Colorimetric"; break;
			case RenderingIntent.SATURATION:
			var myImageintent = "Saturation"; break;
			case RenderingIntent.USE_COLOR_SETTINGS:
			var myImageintent = "None"; break;
		}

		switch(myDocument.afterBlendingIntent) {
			case RenderingIntent.ABSOLUTE_COLORIMETRIC:
			var myBlendingintent = "Absolute Colorimetric"; break;
			case RenderingIntent.PERCEPTUAL:
			var myBlendingintent = "Perceptual"; break;
			case RenderingIntent.RELATIVE_COLORIMETRIC:
			var myBlendingintent = "Relative Colorimetric"; break;
			case RenderingIntent.SATURATION:
			var myBlendingintent = "Saturation"; break;
			case RenderingIntent.USE_COLOR_SETTINGS:
			var myBlendingintent = "None"; break;
		}

		switch(app.colorSettings.intent) {
			case RenderingIntent.ABSOLUTE_COLORIMETRIC:
			var wsintent = "Absolute Colorimetric"; break;
			case RenderingIntent.PERCEPTUAL:
			var wsintent = "Perceptual"; break;
			case RenderingIntent.RELATIVE_COLORIMETRIC:
			var wsintent = "Relative Colorimetric"; break;
			case RenderingIntent.SATURATION:
			var wsintent = "Saturation"; break;
		}

		if (app.colorSettings.useBPC) {var myBPC = "on";} else {var myBPC = "off";}

		// policies
		switch(myDocument.cmykPolicy) {
			case ColorSettingsPolicy.COLOR_POLICY_OFF:
			var myCMYKpolicy = "Off"; break;
			case ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE:
			var myCMYKpolicy = "Convert to Working Space"; break;
			case ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES:
			var myCMYKpolicy = "Preserve Embedded profile"; break;
			case ColorSettingsPolicy.COMBINATION_OF_PRESERVE_AND_SAFE_CMYK:
			var myCMYKpolicy = "Preserve Numbers"; break;
		}

		switch(myDocument.rgbPolicy) {
			case ColorSettingsPolicy.COLOR_POLICY_OFF:
			var myRGBpolicy = "Off"; break;
			case ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE:
			var myRGBpolicy = "Convert to Working Space"; break;
			case ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES:
			var myRGBpolicy = "Preserve Embedded Profile"; break;
		}

		switch(app.colorSettings.cmykPolicy) {
			case ColorSettingsPolicy.COLOR_POLICY_OFF:
			var wsCMYKpolicy = "Off"; break;
			case ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE:
			var wsCMYKpolicy = "Convert to Working Space"; break;
			case ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES:
			var wsCMYKpolicy = "Preserve Embedded profile"; break;
			case ColorSettingsPolicy.COMBINATION_OF_PRESERVE_AND_SAFE_CMYK:
			var wsCMYKpolicy = "Preserve Numbers"; break;
		}

		switch(app.colorSettings.rgbPolicy) {
			case ColorSettingsPolicy.COLOR_POLICY_OFF:
			var wsRGBpolicy = "Off"; break;
			case ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE:
			var wsRGBpolicy = "Convert to Working Space"; break;
			case ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES:
			var wsRGBpolicy = "Preserve Embedded Profile"; break;
		}

		// dialog construction
		var myDialog = app.dialogs.add({name:"Document Policies and Profiles"});

		// first column
		with(myDialog.dialogColumns.add()){
			with(dialogRows.add()){
				staticTexts.add({staticLabel:"Document"});
			}
			with(dialogRows.add()){
				staticTexts.add({staticLabel:"RGB"});
			}

			with(borderPanels.add()){
				with(dialogColumns.add()){
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Profile:"});			
						staticTexts.add({staticLabel:myRGBprofile});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Policy:"});			
						staticTexts.add({staticLabel:myRGBpolicy});
					}
				}
			}

			with(dialogRows.add()){
				staticTexts.add({staticLabel:"CMYK"});
			}	
			with(borderPanels.add()){
				with(dialogColumns.add()){
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Profile:"});			
						staticTexts.add({staticLabel:myCMYKprofile});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Policy:"});			
						staticTexts.add({staticLabel:myCMYKpolicy});
					}
				}
			}

			with(dialogRows.add()){
			staticTexts.add({staticLabel:"Rendering Intents"});
			}	
				with(borderPanels.add()){
				with(dialogColumns.add()){
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Solid Colors:"});	
						staticTexts.add({staticLabel:mySolidintent});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Default Image:"});	
						staticTexts.add({staticLabel:myImageintent});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"After-Blending:"});	
						staticTexts.add({staticLabel:myBlendingintent});
					}
				}
			}
		}

		// second column
		with(myDialog.dialogColumns.add()){
			with(dialogRows.add()){
				staticTexts.add({staticLabel:"Application"});
			}
			with(dialogRows.add()){
				staticTexts.add({staticLabel:"RGB"});
			}
			with(borderPanels.add()){
				with(dialogColumns.add()){
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Profile:"});			
						staticTexts.add({staticLabel:wsRGBprofile});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Policy:"});			
						staticTexts.add({staticLabel:wsRGBpolicy});
					}
				}
			}

			with(dialogRows.add()){
				staticTexts.add({staticLabel:"CMYK"});
			}	
			with(borderPanels.add()){
				with(dialogColumns.add()){
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Profile:"});			
						staticTexts.add({staticLabel:wsCMYKprofile});
					}
					with(dialogRows.add()){		
						staticTexts.add({staticLabel:"Policy:"});			
						staticTexts.add({staticLabel:wsCMYKpolicy});
					}
				}
			}
			with(dialogRows.add()){
				staticTexts.add({staticLabel:"Rendering Intent"});
				}	
				with(borderPanels.add()){
					with(dialogColumns.add()){
						with(dialogRows.add()){		
							staticTexts.add({staticLabel:"Intents:"});	
							staticTexts.add({staticLabel:wsintent});
						}
						with(dialogRows.add()){		
							staticTexts.add({staticLabel:"Black Point Compensation:"});	
							staticTexts.add({staticLabel:myBPC});
						}
						
					}
				}
			}

		// show dialog
		var myResult = myDialog.show();

		// remove the dialog box from memoryss.
		myDialog.destroy(); 
}
} catch (error) {
	alert("Color management in disabled");
	}


